API Reference
ICE/TURN 서버 자격 조회
WebRTC RTCPeerConnection 에 전달할 STUN/TURN 서버 목록. TURN 자격은 시간제한 HMAC 으로 발급되며 expires_at 이후 무효. 만료 전에 새로 발급받을 것.
Authorization
BearerAuth AuthorizationBearer <token>
API Key를 Bearer 토큰으로 전달
In: header
Path Parameters
accountId*string
Query Parameters
ttl_seconds?integer
TURN 자격 TTL (초). 1 ~ 86400 (24시간).
Default
3600Range
1 <= value <= 86400Response Body
application/json
application/json
curl -X GET "https://example.com/v1/accounts/AC1a2b3c4d/ice-servers?ttl_seconds=3600"{
"ice_servers": [
{
"urls": "stun:turn.claw-ops.com:3478"
},
{
"urls": [
"turn:turn.claw-ops.com:3478?transport=udp",
"turn:turn.claw-ops.com:3478?transport=tcp",
"turns:turn.claw-ops.com:5349?transport=tcp"
],
"username": "1714000000:AC_xxx",
"credential": "<base64-hmac>",
"credential_type": "password"
}
],
"expires_at": "2019-08-24T14:15:22Z"
}{
"error": "string",
"code": "INVALID_PHONE_NUMBER"
}